// Rhino light definition file for POV-Ray 3.1 and up
//
// Variables you can use in the material definitions for lights:
// rh_location = light location
// rh_color = light color
// rh_layercolor = layer color of the light
// rh_radius = spotlight radius
// rh_falloff = spotlight falloff
// rh_point_at = spotlight target 

#declare rh_pointlight = light_source {
   rh_location
   color rh_color
}

#declare rh_spot = light_source {
   rh_location
   color rh_color
   spotlight
   point_at rh_point_at
   radius rh_radius
   falloff rh_falloff
   tightness 10
}

//this is here to make sure scenes made for BMRT also work
#declare rh_spotlight = light_source {
   rh_location
   color rh_color
   spotlight
   point_at rh_point_at
   radius rh_radius
   falloff rh_falloff
   tightness 10
}

//this is here to make sure scenes made for BMRT also work
#declare distantlight = light_source {
   rh_location
   color rh_color
   spotlight
   point_at rh_point_at
   radius rh_radius
   falloff rh_falloff
   tightness 10
}